Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597263 - [Kubevirt APB] Failed installation shows up in the UI as successful
Summary: [Kubevirt APB] Failed installation shows up in the UI as successful
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Installation
Version: 1.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 1.1.1
Assignee: Ryan Hallisey
QA Contact: Lukas Bednar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-02 12:12 UTC by Nelly Credi
Modified: 2018-11-09 12:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-09 12:29:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
service events screenshot (deleted)
2018-07-02 12:12 UTC, Nelly Credi
no flags Details
pods state (deleted)
2018-07-02 12:14 UTC, Nelly Credi
no flags Details

Description Nelly Credi 2018-07-02 12:12:39 UTC
Created attachment 1455946 [details]
service events screenshot

Description of problem:
Failed installation shows up in the UI as successful
pods are in imagepullbackoff/errimagepull,
but the kubevirt provisioning services shows up as provisioned successfully

Version-Release number of selected component (if applicable):
0.7.0-alpha.2

How reproducible:
100%

Steps to Reproduce:
1. deploy kubevirt with a bad registry value
2.
3.

Actual results:
pods are in imagepullbackoff/errimagepull state
and the service claims to be successful

Expected results:
the service should indicate that there was a failure

Additional info:

Comment 1 Nelly Credi 2018-07-02 12:14:56 UTC
Created attachment 1455947 [details]
pods state

Comment 2 Nelly Credi 2018-07-17 12:39:03 UTC
@ryan did you handle this one already?

Comment 3 Ryan Hallisey 2018-07-17 12:51:53 UTC
https://github.com/kubevirt/kubevirt-ansible/pull/306

Fixed upstream

Comment 4 Lukas Bednar 2018-08-13 10:34:35 UTC
I am not sure how exactly PR#306 solves this issue.
I believe that we need to add some health check at the end of kubevirt-apb tasks.

We could start with one of following options:

"curl -X GET -H "Authorization: Bearer $(oc whoami -t)" -k https://localhost:8443/apis/subresources.kubevir
t.io/v1alpha2/version"

"curl -X GET -H "Authorization: Bearer $(oc whoami -t)" -k https://localhost:8443/apis/kubevirt.io/v1alpha2/healthz"

Comment 5 Ryan Hallisey 2018-08-13 11:07:21 UTC
The health checks are a good addition.  Do you want to add a retry loop around them and push them to kubevirt-ansible lukas?  #306 was the last PR before 1.1 was cut, which is stable.

Comment 6 Lukas Bednar 2018-08-14 14:15:33 UTC
OK, it is not problem to add it, unfortunately I found out that health check is not working at the moment, I opened issue about it here https://github.com/kubevirt/kubevirt/issues/1442 .

Comment 7 Lukas Bednar 2018-08-31 08:47:04 UTC
That issue [1] doesn't seem to be moving, so I am marking this bug as verified, and opening issue [2] on kubevirt-ansible to add health check once [1] is implemented.

[1] https://github.com/kubevirt/kubevirt/issues/1442
[2] https://github.com/kubevirt/kubevirt-ansible/issues/370


Note You need to log in before you can comment on or make changes to this bug.